please choosego to mobile | Continue to access the PC version
Author: jacer

Lubuntu 15.04 with GPU driver and WiringOP etc preinstalled image for testing

[Copy link]

0

threads

8

posts

70

credits

Registered member

Rank: 2

credits
70
Published in 2015-12-11 23:03:19 | Show all floors
jacer replied at 2015-12-5 18:21
New image has been uploaded to new hosting server. Please check the top of the thread or use this  ...

I downloaded and installed this image OPI pc working great. good quality video without any lag.
my monitor is 24 led hdmi video is slightly bigger . how to resize?

0

threads

6

posts

52

credits

Registered member

Rank: 2

credits
52
Published in 2015-12-12 18:55:21 | Show all floors
Edited by romang at 2015-12-13 22:58

Hi guys.
I try OPI2 with your image(Lubuntu_jacer_02.img) and it works good, thank you. But I want to run Chromium with GPU acceleration enabled.
I tried to run it next way:
  1. chromium-browser --ignore-gpu-blacklist --force-gpu-rasterization
Copy code

Then I check in browser if GPU enabled(type url "chrome://gpu") and it shows that everything good. See screenshot
But when I open something like youtube, it works awful(too slow, when I start browser without hardware acceleration it works even faster) I also see this errors:
  1. /usr/share/themes/Lubuntu-default/gtk-2.0/apps/thunar.rc:55: error: invalid string constant "thunar-statusbar", expected valid string constant
  2. MESA-LOADER: malformed or no PCI ID
  3. libGL error: unable to load driver: mali_drm_dri.so
  4. libGL error: driver pointer missing
  5. libGL error: failed to load driver: mali_drm
  6. [1310:1310:1212/184131:ERROR:gles2_cmd_decoder.cc(12822)] [GroupMarkerNotSet(crbug.com/242999)!:68DC1BB7]GL ERROR :GL_INVALID_OPERATION : glCreateAndConsumeTextureCHROMIUM: invalid mailbox name
  7. [1310:1310:1212/184131:ERROR:gles2_cmd_decoder.cc(6833)] [GroupMarkerNotSet(crbug.com/242999)!:68DC1BB7]RENDER WARNING: texture bound to texture unit 0 is not renderable. It maybe non-power-of-2 and have incompatible texture filtering.
  8. [1310:1310:1212/184131:ERROR:gles2_cmd_decoder.cc(6833)] [GroupMarkerNotSet(crbug.com/242999)!:68DC1BB7]RENDER WARNING: texture bound to texture unit 0 is not renderable. It maybe non-power-of-2 and have incompatible texture filtering.
Copy code


Please help
And btw if I run Chromium with --use-gl=egl parameter which force chromuim to use EGL it shows next errors:
  1. [14874:14874:1213/224951:ERROR:gl_surface_egl.cc(479)] EGL display query failed with error EGL_SUCCESS
  2. [14874:14874:1213/224951:ERROR:gl_surface_egl.cc(486)] eglInitialize Default failed with error EGL_BAD_DISPLAY
  3. [14874:14874:1213/224951:ERROR:gl_surface_egl.cc(479)] EGL display query failed with error EGL_SUCCESS
  4. [14874:14874:1213/224951:ERROR:gl_surface_egl.cc(486)] eglInitialize Default failed with error EGL_BAD_DISPLAY
  5. [14874:14874:1213/224951:ERROR:gl_surface_x11.cc(68)] GLSurfaceEGL::InitializeOneOff failed.
  6. [14874:14874:1213/224951:ERROR:sandbox_linux.cc(345)] InitializeSandbox() called with multiple threads in process gpu-process
  7. [14874:14874:1213/224951:ERROR:gpu_child_thread.cc(227)] Exiting GPU process due to errors during initialization
  8. [14839:14869:1213/224951:ERROR:browser_gpu_channel_host_factory.cc(121)] Failed to launch GPU process.
Copy code


This thread contains more resources

You need to Log in to download or view,No account?    Register

x

0

threads

25

posts

151

credits

Registered member

Rank: 2

credits
151
Published in 2015-12-13 07:41:10 | Show all floors
Password Change?
this works well, network access via LAN
user: orangepi
password: share
How/Where do I change the Password
thanks (new to Linux)

18

threads

303

posts

8574

credits

Moderator

Rank: 7Rank: 7Rank: 7

credits
8574
 Author| Published in 2015-12-14 11:52:18 | Show all floors
Harald replied at 2015-12-13 07:41
Password Change?
this works well, network access via LAN
user: orangepi

To change user orangepi password, input below command then input your new password.
  1. sudo passwd orangepi
Copy code
To change root password, input this command below then input your new password.
  1. sudo passwd root
Copy code


18

threads

303

posts

8574

credits

Moderator

Rank: 7Rank: 7Rank: 7

credits
8574
 Author| Published in 2015-12-14 11:55:56 | Show all floors
romang replied at 2015-12-12 18:55
Hi guys.
I try OPI2 with your image(Lubuntu_jacer_02.img) and it works good, thank you. But I want t ...

I will release a Debian Jessie version with GPU driver, Libvdpau, RetroArch 13, Rtl8188cus driver preinstalled when I get time.

0

threads

10

posts

241

credits

Intermediate member

Rank: 3Rank: 3

credits
241
Published in 2015-12-14 16:27:36 | Show all floors
Edited by chillman90 at 2015-12-14 16:28
jacer replied at 2015-12-14 11:55
I will release a Debian Jessie version with GPU driver, Libvdpau, RetroArch 13, Rtl8188cus driver p ...

That would be great, thank you very much!

0

threads

2

posts

30

credits

Novice

Rank: 1

credits
30
Published in 2015-12-14 16:47:36 | Show all floors
Hi Debian would be awesome, i still have a problem to get the German Keyboard Layer, i tried the stuff from the posts above, without success. When i open the Language Support Tool, its tells me i have to install some packages, when i do so i get the Error
  1. Failed to fetch http://ports.ubuntu.com/ubuntu-ports/pool/universe/c/chromium-browser/chromium-browser-..... 404 Not found IP:.....
Copy code


Failed to download package files Check your internet connection

same problem when i mark german and try to load the package...
btw i internet over lan is working...

3

threads

16

posts

129

credits

Registered member

Rank: 2

credits
129
Published in 2015-12-14 17:16:02 | Show all floors
@jacer

On the .cn forum you have another image where you mention OPI-MINI. Is this mean this version is also work with Orange PI mini or only the .cn server one.

18

threads

303

posts

8574

credits

Moderator

Rank: 7Rank: 7Rank: 7

credits
8574
 Author| Published in 2015-12-14 17:52:01 | Show all floors
Bunyu replied at 2015-12-14 17:16
@jacer

On the .cn forum you have another image where you mention OPI-MINI. Is this mean this versio ...

It is the script.bin for OPI-2 and OPI-mini 2. I will add it here.

3

threads

16

posts

129

credits

Registered member

Rank: 2

credits
129
Published in 2015-12-14 18:11:46 | Show all floors
jacer replied at 2015-12-14 17:52
It is the script.bin for OPI-2 and OPI-mini 2. I will add it here.

So your version is not compatible with the allwinner A20 SoC?
You need to log in before you can reply login | Register

Points Rule

Quick reply Top Return list